Description

While working on a new implementation for HDF5 Read/Write from art, | have encountered a need to access Fragment-type-to-string
conversions. Currently, this is done completely within SharedMemoryReader by the FTT template parameter along with the
getDefaultTypes template parameter. | propose moving this functionality into a service, ArtdagFragmentNamingService, which will
then enable access to the functionality from anywhere in the art executable, with behavior based on fhicl configuration.

A side effect of my initial implementation is that instead of defining a demo-specific input source, | had to define a demo-specific
FragmentNamingService. This change will also require another configuration epoch.

History

#1 - 02/21/2020 03:49 PM - Eric Flumerfelt

Initial implementations in artdaq and artdag-demo, feature/24082_ArtdagFragmentNamingService.

#2 - 03/05/2020 01:18 PM - Ron Rechenmacher

- Status changed from New to Resolved

| installed the demo, which used the tag 3_07_02 for artdaqg. artdaq v3_07_02 got installed in the local
products dir. Also, the artdaq src ups/product_deps file had "parent artdaq v3_07_02". The combination of these, plus:

if [[ "x${ARTDAQ_MPICH_PLUGIN_DIR:-}" == "x" ]]; then
for plugin_version in ‘ups list -aK+ artdag mpich_plugin -g el7:s85:eth:prof|awk '{print $2}'|sed 's/\"//g'"
; do

if [ ‘ups depend artdag mpich_plugin $plugin_version —-gq el7:s85:eth:prof 2>/dev/null|grep -c "artdag $ARTD
AQ_VERSION"® -gt 0 ]; then
setup artdagq mpich_plugin $plugin_version -gq el7:s85:eth:prof
break;
fi
done

fi

in the setupARTDAQDEMO file (which comes from artdag_demao/tools/quick-mrb-start.sh) caused the artdaq from
$MRB_TOP/products/ to be setup before and in_addition_to the development artdag.

To get just the development artdaq, we had to remove (or move out of the way) the artdaq installed in $MRB_TOP/products.
The following shows the value of CET_PLUGIN_PATH before and after:

CET_PLUGIN_PATH=\
/home/ron/work/artdagPrj/demol-develop/products/artdag_mpich_plugin/v1_00_12/s1f7.x86_64.el7.eth.s85.prof/lib:
\

/home/ron/work/artdagPrj/demol-develop/products/artdaq/v3_07_02/s1f7.x86_64.el7.s85.prof/1lib:\
/home/ron/work/artdagPrj/demol-develop/build_slf7.x86_64/artdag_demo/lib:\
/home/ron/work/artdagPrj/demol-develop/build_sl1f7.x86_64/artdaqg/lib:\
/home/ron/work/artdagPrj/demol-develop/build_sl1f7.x86_64/artdaqg_core_demo/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag_core/v3_05_10/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq _ganglia_plugin/v1_02_18/s1f7.x86_64.el17.s85.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/art/v2_13_00/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/canvas_root_io/v1_01_11/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdaqg/canvas/v3_06_01/s1f7.x86_64.el7.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq_pcp_mmv_plugin/vl_00_03/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag_mfextensions/v1_04_00/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq _epics_plugin/v1_02_11/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq utilities/v1_05_04/s1f7.x86_64.el7.s85.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/messagefacility/v2_02_06/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/hep_concurrency/v1_00_04/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/fhiclcpp/v4_06_10/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/cetlib/v3_06_01/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/cetlib_except/v1_02_03/s1f7.x86_64.el7.prof/1lib

CET_PLUGIN_PATH=\

/home/ron/work/artdagPrj/demol-develop/build_slf7.x86_64/artdag_demo/lib:\
/home/ron/work/artdagPrj/demol-develop/build_s1f7.x86_64/artdaq/lib:\
/home/ron/work/artdagPrj/demol-develop/build_slf7.x86_64/artdag_core_demo/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag_core/v3_05_10/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq_ganglia_plugin/vl_02_18/s1f7.x86_64.el17.s85.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/art/v2_13_00/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/canvas_root_io/v1_01_11/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/canvas/v3_06_01/s1f7.x86_64.el7.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdaq _pcp_mmv_plugin/v1_00_03/s1f7.x86_64.el7.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag_mfextensions/v1_04_00/s1f7.x86_64.el17.s85.prof/lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag_epics_plugin/v1l_02_11/s1f7.x86_64.el17.s85.prof/1lib:\
/home/ron/work/artdagPrj/demol-develop/products/artdag utilities/v1_05_04/s1f7.x86_64.el7.s85.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/messagefacility/v2_02_06/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/hep_concurrency/v1_00_04/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/fhiclcpp/v4_06_10/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdag/cetlib/v3_06_01/s1f7.x86_64.el7.prof/lib:\
/cvmfs/fermilab.opensciencegrid.org/products/artdaqg/cetlib_except/v1_02_03/s1f7.x86_64.el7.prof/1lib

#3 - 03/05/2020 02:41 PM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

tested with quick-mrb-start.sh --develop

#4 - 03/24/2020 09:02 AM - Eric Flumerfelt
- Target version set to artdaq v3_08_00

- Status changed from Reviewed to Closed

04/20/2021 22


http://www.tcpdf.org

